"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPlan = void 0;
const stringify_param_1 = require("../../utils/stringify-param");
const createPlan = async (apiClient, planOptions) => {
    const { planName, clientAuthType, fapiRequestMethod, config } = planOptions;
    const { data } = await apiClient.post(`/api/plan?planName=${planName}`, config, {
        params: clientAuthType && fapiRequestMethod
            ? {
                variant: (0, stringify_param_1.stringifyParam)({
                    client_auth_type: clientAuthType,
                    fapi_auth_request_method: fapiRequestMethod,
                }),
            }
            : undefined,
    });
    return data;
};
exports.createPlan = createPlan;
//# sourceMappingURL=create-plan.js.map