"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRunner = void 0;
const logger_1 = require("../../logger");
const stringify_param_1 = require("../../utils/stringify-param");
const createRunner = async (apiClient, planId, planTestModule) => {
    const { testModule, variant } = planTestModule;
    logger_1.logger.trace("Creating runner");
    const { data } = await apiClient.post(`/api/runner?plan=${planId}&test=${testModule}`, undefined, {
        params: {
            variant: (0, stringify_param_1.stringifyParam)(variant),
        },
        headers: {
            "Content-Type": "application/json",
        },
    });
    logger_1.logger.info(`${testModule} started`, {
        testId: data.id,
        variant,
    });
    return data;
};
exports.createRunner = createRunner;
//# sourceMappingURL=create-runner.js.map