"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendCallback = void 0;
const axios_1 = __importDefault(require("axios"));
const https_1 = __importDefault(require("https"));
const logger_1 = require("../../logger");
const httpsAgent = new https_1.default.Agent({ rejectUnauthorized: false });
const sendCallback = async (callbackUrl) => {
    const { data } = await axios_1.default.get(callbackUrl, {
        httpsAgent,
    });
    logger_1.logger.trace("Got conformance callback page");
    const implictFlowUrl = data?.match(/xhr\.open\('POST', "(.*?)", true\)/)?.[1];
    logger_1.logger.trace("Implicit flow url", { implictFlowUrl });
    if (!implictFlowUrl) {
        throw new Error("No implicit flow url found");
    }
    const fragment = callbackUrl.split("#")[1];
    await axios_1.default.post(implictFlowUrl, `#${fragment}`, {
        httpsAgent,
        headers: {
            "Content-Type": "text/plain",
        },
    });
    logger_1.logger.info("Callback sent");
};
exports.sendCallback = sendCallback;
//# sourceMappingURL=send-callback.js.map