"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAndRunPlan = void 0;
const logger_1 = require("../logger");
const sleep_1 = require("../utils/sleep");
const run_test_module_1 = require("./run-test-module");
const createAndRunPlan = async (context, planOptions, options, override = {}) => {
    const runnerOptions = {
        skipPassed: true,
        skipReview: true,
        skipWarning: true,
        skipFailed: false,
        bail: options?.bail ?? false,
    };
    const { id, modules } = await context.apiClient.createPlan(planOptions);
    logger_1.logger.info(`Plan created, visit ${context.conformanceUrl}/plan-detail.html?plan=${id}. Test starting in 5 seconds...`);
    await (0, sleep_1.sleep)(5000);
    for (const currentModule of modules) {
        await (0, run_test_module_1.runTestModule)(context, id, currentModule, runnerOptions, override[currentModule.testModule]);
    }
    logger_1.logger.info("Plan completed!");
};
exports.createAndRunPlan = createAndRunPlan;
//# sourceMappingURL=create-and-run-plan.js.map