"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runExistingPlan = void 0;
const logger_1 = require("../logger");
const filter_skipped_tests_1 = require("../utils/filter-skipped-tests");
const run_test_module_1 = require("./run-test-module");
const runExistingPlan = async (context, planId, options, override = {}) => {
    const runnerOptions = {
        skipPassed: options?.skipPassed ?? true,
        skipReview: options?.skipReview ?? true,
        skipWarning: options?.skipWarning ?? true,
        skipFailed: options?.skipFailed ?? false,
        bail: options?.bail ?? false,
    };
    const { modules } = await context.apiClient.getPlanInfo(planId);
    const filteredModules = await (0, filter_skipped_tests_1.filterSkippedTests)(context.apiClient, modules, runnerOptions);
    for (const currentModule of filteredModules) {
        await (0, run_test_module_1.runTestModule)(context, planId, currentModule, runnerOptions, override[currentModule.testModule]);
    }
    logger_1.logger.info("Plan completed!");
};
exports.runExistingPlan = runExistingPlan;
//# sourceMappingURL=run-existing-plan.js.map