"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractInteractionCookies = void 0;
const extractInteractionCookies = (cookies) => {
    const interactionCookies = [];
    for (const cookie of cookies) {
        const cookieParts = cookie.split(";");
        const interactionCookie = cookieParts.filter((part) => !/(path|expires|samesite|secure|httponly)/i.test(part.trim()))[0];
        interactionCookies.push(interactionCookie);
    }
    return interactionCookies.join("; ");
};
exports.extractInteractionCookies = extractInteractionCookies;
//# sourceMappingURL=extract-interaction-cookies.js.map